gr::gsm::burst_sdcch_subslot_splitter Class Referenceabstract

<+description of block+> More...

`#include <burst_sdcch_subslot_splitter.h>`

Inheritance diagram for gr::gsm::burst_sdcch_subslot_splitter:

## Public Types

typedef std::shared_ptr< burst_sdcch_subslot_splitter > | sptr

## Public Member Functions

virtual splitter_mode | get_mode (void)=0
virtual splitter_mode | set_mode (splitter_mode mode)=0

## Static Public Member Functions

static sptr | make (splitter_mode mode)
| Return a shared_ptr to a new instance of grgsm::burst_sdcch_subslot_splitter.

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<burst_sdcch_subslot_splitter> gr::gsm::burst_sdcch_subslot_splitter::sptr

## Member Function Documentation

## get_mode()

virtual splitter_mode gr::gsm::burst_sdcch_subslot_splitter::get_mode | ( | void |  | ) |

pure virtual

Implemented in gr::gsm::burst_sdcch_subslot_splitter_impl.

## make()

sptr gr::gsm::burst_sdcch_subslot_splitter::make | ( | splitter_mode | mode | ) |

static

Return a shared_ptr to a new instance of grgsm::burst_sdcch_subslot_splitter.

To avoid accidental use of raw pointers, grgsm::burst_sdcch_subslot_splitter's constructor is in a private implementation class. grgsm::burst_sdcch_subslot_splitter::make is the public interface for creating new instances.

## set_mode()

virtual splitter_mode gr::gsm::burst_sdcch_subslot_splitter::set_mode | ( | splitter_mode | mode | ) |

pure virtual

Implemented in gr::gsm::burst_sdcch_subslot_splitter_impl.

The documentation for this class was generated from the following file:

- burst_sdcch_subslot_splitter.h